zreadtriple.c File Reference

Read a matrix stored in triplet (coordinate) format. More...

`#include "slu_zdefs.h"`
Include dependency graph for zreadtriple.c:

## Functions

void | zreadtriple (int *m, int *n, int_t *nonz, doublecomplex **nzval, int_t **rowind, int_t **colptr)
void | zreadrhs (int m, doublecomplex *b)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 4.0) --
    Lawrence Berkeley National Laboratory.
    June 30, 2009

## Function Documentation

## zreadrhs()

void zreadrhs | ( | int | m,
|  | doublecomplex * | b
| ) |  |

## zreadtriple()

void zreadtriple | ( | int * | m,
|  | int * | n,
|  | int_t * | nonz,
|  | doublecomplex ** | nzval,
|  | int_t ** | rowind,
|  | int_t ** | colptr
| ) |  |

Here is the call graph for this function: